Bug 975703 - Can't install nodejs-connect (dependancy issue)
Can't install nodejs-connect (dependancy issue)
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: nodejs-connect (Show other bugs)
el6
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: T.C. Hollingsworth
Fedora Extras Quality Assurance
:
Depends On: 968776
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 03:42 EDT by marianne@tuxette.fr
Modified: 2013-07-06 13:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: nodejs-debug-0.7.2-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-06 13:59:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description marianne@tuxette.fr 2013-06-19 03:42:23 EDT
Description of problem:
Can't install nodejs-connect

Version-Release number of selected component (if applicable):


How reproducible:
nodejs-connect.noarch 0:2.7.10-1.el6

Steps to Reproduce:
1.Connect on an el6 server (up-to-date)
2.Run : yum install nodejs-connect

Actual results:
[root@bonzai ~]# yum info nodejs-connect
Loaded plugins: downloadonly, fastestmirror, security
Repository 'jenkins' is missing name in configuration, using id
Repository 'openshift-origin-deps' is missing name in configuration, using id
Repository 'openshift-origin' is missing name in configuration, using id
Loading mirror speeds from cached hostfile
Available Packages
Name        : nodejs-connect
Arch        : noarch
Version     : 2.7.10
Release     : 1.el6
Size        : 92 k
Repo        : epel
Summary     : High performance middleware framework for Node.js
URL         : https://github.com/senchalabs/connect
License     : MIT
Description : Connect is an extensible HTTP server framework for node, providing high
            : performance "plugins" known as middleware.
            :
            : Connect is bundled with over 20 commonly used middleware, including a logger,
            : session support, cookie parser, and more.
 
[root@bonzai ~]# yum install nodejs-connect
Loaded plugins: downloadonly, fastestmirror, security
Repository 'jenkins' is missing name in configuration, using id
Repository 'openshift-origin-deps' is missing name in configuration, using id
Repository 'openshift-origin' is missing name in configuration, using id
Loading mirror speeds from cached hostfile
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package nodejs-connect.noarch 0:2.7.10-1.el6 will be installed
--> Processing Dependency: npm(send) < 1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(pause) < 0.1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(fresh) < 1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(formidable) < 1.1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(bytes) < 1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(buffer-crc32) < 1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(send) >= 0.1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(pause) >= 0.0.1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(fresh) >= 0.1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(formidable) >= 1.0.11 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(bytes) >= 0.2 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(buffer-crc32) >= 0.2 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(debug) for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(cookie-signature) for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(cookie) for package: nodejs-connect-2.7.10-1.el6.noarch
--> Running transaction check
---> Package nodejs-connect.noarch 0:2.7.10-1.el6 will be installed
--> Processing Dependency: npm(pause) < 0.1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(fresh) < 1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(bytes) < 1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(buffer-crc32) < 1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(pause) >= 0.0.1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(fresh) >= 0.1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(bytes) >= 0.2 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(buffer-crc32) >= 0.2 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(debug) for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(cookie-signature) for package: nodejs-connect-2.7.10-1.el6.noarch
---> Package nodejs-cookie.noarch 0:0.1.0-1.el6 will be installed
---> Package nodejs-formidable.noarch 0:1.0.14-1.el6 will be installed
---> Package nodejs-send.noarch 0:0.1.0-3.el6 will be installed
--> Processing Dependency: npm(range-parser) < 0.1 for package: nodejs-send-0.1.0-3.el6.noarch
--> Processing Dependency: npm(fresh) < 0.2 for package: nodejs-send-0.1.0-3.el6.noarch
--> Processing Dependency: npm(range-parser) >= 0.0.4 for package: nodejs-send-0.1.0-3.el6.noarch
--> Processing Dependency: npm(fresh) >= 0.1.0 for package: nodejs-send-0.1.0-3.el6.noarch
--> Processing Dependency: npm(debug) for package: nodejs-send-0.1.0-3.el6.noarch
--> Finished Dependency Resolution
Error: Package: nodejs-connect-2.7.10-1.el6.noarch (epel)
           Requires: npm(debug)
Error: Package: nodejs-connect-2.7.10-1.el6.noarch (epel)
           Requires: npm(buffer-crc32) < 1
Error: Package: nodejs-send-0.1.0-3.el6.noarch (epel)
           Requires: npm(range-parser) < 0.1
Error: Package: nodejs-connect-2.7.10-1.el6.noarch (epel)
           Requires: npm(pause) < 0.1
Error: Package: nodejs-send-0.1.0-3.el6.noarch (epel)
           Requires: npm(fresh) < 0.2
Error: Package: nodejs-connect-2.7.10-1.el6.noarch (epel)
           Requires: npm(bytes) >= 0.2
Error: Package: nodejs-connect-2.7.10-1.el6.noarch (epel)
           Requires: npm(cookie-signature)
Error: Package: nodejs-connect-2.7.10-1.el6.noarch (epel)
           Requires: npm(fresh) >= 0.1
Error: Package: nodejs-send-0.1.0-3.el6.noarch (epel)
           Requires: npm(range-parser) >= 0.0.4
Error: Package: nodejs-send-0.1.0-3.el6.noarch (epel)
           Requires: npm(fresh) >= 0.1.0
Error: Package: nodejs-connect-2.7.10-1.el6.noarch (epel)
           Requires: npm(bytes) < 1
Error: Package: nodejs-connect-2.7.10-1.el6.noarch (epel)
           Requires: npm(fresh) < 1
Error: Package: nodejs-connect-2.7.10-1.el6.noarch (epel)
           Requires: npm(buffer-crc32) >= 0.2
Error: Package: nodejs-send-0.1.0-3.el6.noarch (epel)
           Requires: npm(debug)
Error: Package: nodejs-connect-2.7.10-1.el6.noarch (epel)
           Requires: npm(pause) >= 0.0.1
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Expected results:
Installation of the package

Additional info:
Comment 1 T.C. Hollingsworth 2013-06-19 09:23:19 EDT
Sorry for the trouble, this will be fixed soon.
Comment 2 Fedora Update System 2013-06-19 09:40:54 EDT
nodejs-debug-0.7.2-3.el6, nodejs-bytes-0.2.1-2.el6, nodejs-buffer-crc32-0.2.1-4.el6, nodejs-cookie-signature-1.0.1-2.el6, nodejs-fresh-0.1.0-3.el6, nodejs-range-parser-0.0.4-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10509/nodejs-debug-0.7.2-3.el6,nodejs-bytes-0.2.1-2.el6,nodejs-buffer-crc32-0.2.1-4.el6,nodejs-cookie-signature-1.0.1-2.el6,nodejs-fresh-0.1.0-3.el6,nodejs-range-parser-0.0.4-4.el6
Comment 3 Fedora Update System 2013-06-19 17:34:21 EDT
Package nodejs-debug-0.7.2-3.el6, nodejs-bytes-0.2.1-2.el6, nodejs-buffer-crc32-0.2.1-4.el6, nodejs-cookie-signature-1.0.1-2.el6, nodejs-fresh-0.1.0-3.el6, nodejs-range-parser-0.0.4-4.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing nodejs-debug-0.7.2-3.el6 nodejs-bytes-0.2.1-2.el6 nodejs-buffer-crc32-0.2.1-4.el6 nodejs-cookie-signature-1.0.1-2.el6 nodejs-fresh-0.1.0-3.el6 nodejs-range-parser-0.0.4-4.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10509/nodejs-debug-0.7.2-3.el6,nodejs-bytes-0.2.1-2.el6,nodejs-buffer-crc32-0.2.1-4.el6,nodejs-cookie-signature-1.0.1-2.el6,nodejs-fresh-0.1.0-3.el6,nodejs-range-parser-0.0.4-4.el6
then log in and leave karma (feedback).
Comment 4 steven.merrill 2013-06-20 23:44:22 EDT
I still appear to be missing one thing in my testing, "npm(pause)" :

[root@broker puppet]# yum install nodejs-connect
Loaded plugins: fastestmirror, security
Repository 'jenkins' is missing name in configuration, using id
Loading mirror speeds from cached hostfile
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package nodejs-connect.noarch 0:2.7.10-1.el6 will be installed
--> Processing Dependency: npm(send) < 1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(qs) < 1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(pause) < 0.1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(formidable) < 1.1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(send) >= 0.1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(qs) >= 0.5 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(pause) >= 0.0.1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(formidable) >= 1.0.11 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(cookie) for package: nodejs-connect-2.7.10-1.el6.noarch
--> Running transaction check
---> Package nodejs-connect.noarch 0:2.7.10-1.el6 will be installed
--> Processing Dependency: npm(pause) < 0.1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(pause) >= 0.0.1 for package: nodejs-connect-2.7.10-1.el6.noarch
---> Package nodejs-cookie.noarch 0:0.1.0-1.el6 will be installed
---> Package nodejs-formidable.noarch 0:1.0.14-1.el6 will be installed
---> Package nodejs-qs.noarch 0:0.6.5-1.el6 will be installed
---> Package nodejs-send.noarch 0:0.1.0-3.el6 will be installed
--> Processing Dependency: npm(mime) < 1.3 for package: nodejs-send-0.1.0-3.el6.noarch
--> Processing Dependency: npm(mime) >= 1.2.6 for package: nodejs-send-0.1.0-3.el6.noarch
--> Running transaction check
---> Package nodejs-connect.noarch 0:2.7.10-1.el6 will be installed
--> Processing Dependency: npm(pause) < 0.1 for package: nodejs-connect-2.7.10-1.el6.noarch
--> Processing Dependency: npm(pause) >= 0.0.1 for package: nodejs-connect-2.7.10-1.el6.noarch
---> Package nodejs-mime.noarch 0:1.2.9-2.el6 will be installed
--> Finished Dependency Resolution
Error: Package: nodejs-connect-2.7.10-1.el6.noarch (epel)
           Requires: npm(pause) >= 0.0.1
Error: Package: nodejs-connect-2.7.10-1.el6.noarch (epel)
           Requires: npm(pause) < 0.1
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Comment 5 Jamie Nguyen 2013-06-21 01:38:29 EDT
I added nodejs-pause to the update yesterday, which has put it back into "pending" status for the moment. It should move to "testing" some time soon:

https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10509/nodejs-pause-0.0.1-2.el6,nodejs-debug-0.7.2-3.el6,nodejs-bytes-0.2.1-2.el6,nodejs-buffer-crc32-0.2.1-4.el6,nodejs-cookie-signature-1.0.1-2.el6,nodejs-fresh-0.1.0-3.el6,nodejs-range-parser-0.0.4-4.el6
Comment 6 Fedora Update System 2013-06-21 15:38:24 EDT
Package nodejs-debug-0.7.2-3.el6, nodejs-bytes-0.2.1-2.el6, nodejs-buffer-crc32-0.2.1-4.el6, nodejs-cookie-signature-1.0.1-2.el6, nodejs-fresh-0.1.0-3.el6, nodejs-range-parser-0.0.4-4.el6, nodejs-pause-0.0.1-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing nodejs-debug-0.7.2-3.el6 nodejs-bytes-0.2.1-2.el6 nodejs-buffer-crc32-0.2.1-4.el6 nodejs-cookie-signature-1.0.1-2.el6 nodejs-fresh-0.1.0-3.el6 nodejs-range-parser-0.0.4-4.el6 nodejs-pause-0.0.1-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10509/nodejs-pause-0.0.1-2.el6,nodejs-debug-0.7.2-3.el6,nodejs-bytes-0.2.1-2.el6,nodejs-buffer-crc32-0.2.1-4.el6,nodejs-cookie-signature-1.0.1-2.el6,nodejs-fresh-0.1.0-3.el6,nodejs-range-parser-0.0.4-4.el6
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-07-06 13:59:39 EDT
nodejs-debug-0.7.2-3.el6, nodejs-bytes-0.2.1-2.el6, nodejs-buffer-crc32-0.2.1-4.el6, nodejs-cookie-signature-1.0.1-2.el6, nodejs-fresh-0.1.0-3.el6, nodejs-range-parser-0.0.4-4.el6, nodejs-pause-0.0.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.